Bug 114260 - Customization button missing from menu, toolbar and context menus tab of customization dialog
Summary: Customization button missing from menu, toolbar and context menus tab of cust...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-12-05 13:20 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-04-12 16:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
toolbar tab mockup with highlight of customization button (90.52 KB, image/png)
2017-12-05 13:20 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-05 13:20:18 UTC
Created attachment 138228 [details]
toolbar tab mockup with highlight of customization button

Previous to the new design, it was possible to move and rename a top level menu or set the toolbar style and rename a toolbar, but this functionality is no longer accessible. As part of the new design a gear/hamburger menu was to accessible next to the menu and toolbar drop down to give access to these features, as shown in the attached mockup.
Comment 1 Buovjaga 2018-03-10 15:06:13 UTC
Tested patch https://gerrit.libreoffice.org/#/c/50553/ and everything seems to be working as advertised. Context menus still don't have the gear, though.

Version: 6.1.0.0.alpha0+
Build ID: 22b1d4784d02070ae1933c59cf2c9bb5a5284773
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 2 Commit Notification 2018-03-12 11:14:29 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a21744a72637a2e3044f55450df85f94a9fc0bf9

tdf#114260: Add gear button to Customize dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Muhammet Kara 2018-03-12 19:17:04 UTC
Patch to add the "move" option to the gear button for the top-level menus is on gerrit: https://gerrit.libreoffice.org/#/c/51163/

Please feel free to test if you like.
Comment 4 Commit Notification 2018-03-13 07:02:56 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51617878ddc8f9816af7d63d0b483eefd3aed27d

tdf#114260: Allow moving top-level menus

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-04-12 16:39:00 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ba75bf050336bef3738a92a7a942622b9326498

tdf#114260: Allow setting toolbar style in the gear menu

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.